#pragma once

/** SizeData structure is used by heightfields and devices to specify the size of heightfields
	in both actual physical data size, and its world extents.

	@deprecated SizeData is no longer used in World Machine! It is now used only
	for back compatibility only.
*/
struct SizeData {
	SizeData() { };
	SizeData(Coord _size, CoordF _scalesize) { size = _size; scalesize = _scalesize; CalcScale(); };

	void CalcScale() {
		detail_scale = float(size.x) / scalesize.x; // X and Y are guarenteed to follow the same scaling
	};
	Coord size;			// Total size of HF in elements
	CoordF scalesize;	// "Scale" size of HF: Size it takes up in worldspace units
	float detail_scale;	// The linear transform from scalesize to size (ie units are pixels/WMu)
	float vert_scale;	// The vertical scale of the HF
};